[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] No repository found error when updating


Hi Francis, your best bet is to enter a bug report. If the problem occurs immediately after upgrading from 3.4.1 to 3.4.2, you may be hitting this bug:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=236437

In this bug an upgrade of the Eclipse platform itself would cause repository settings to be lost. However if it's not happening after a platform upgrade, it could be anything from an error in the repository to a transport error while accessing its contents. When we have errors contacting a repository we "remember" that the repository is invalid for a short period, and the "refresh" causes that information to be discarded so it could explain the behaviour. Anyway, open a bug with as much detail as possible and we can follow up there.

John



"Francis Upton" <francisu@xxxxxxxx>
Sent by: p2-dev-bounces@xxxxxxxxxxx

07/28/2009 03:53 AM

Please respond to
P2 developer discussions <p2-dev@xxxxxxxxxxx>

To
"p2-dev@xxxxxxxxxxx" <p2-dev@xxxxxxxxxxx>
cc
Subject
[p2-dev] No repository found error when updating





I'm running 3.4.2 and trying to do a software update from a p2 repository.

I have used the same build process to build this repository for weeks now
and it has been working the first time; in the last couple of days
however, I'm getting these errors when updating (see below)

After I get the error, if I press the "Refresh" button and try the update
again it works fine.

And I have had a customer report the same problem accessing the same
repository.

Any way to figure out what's wrong with it?

The location of the repo is:

http://oaklandsoftware.com/updates/transform/ideExp

If someone can have a look, or if there is some kind of tool I can run to
check it that would be great as well.

(Note, the error message below occurred on a repo that was slightly older,
but the current repo has the same problem, just different version Ids).

Thanks,

Francis


An error occurred while collecting items to be installed
    No repository found containing:
com.oaklandsw.base/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.base.jars/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.data.transform.builtin/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.data.transform.examples/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.gui/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.gui.jars/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.doc2/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.external.cb2xml/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.external.hibernate.tools/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.external.hibernate33/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.external.saxon9/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.external.xstream/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.feature.deps.db/org.eclipse.update.feature/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.feature.doc2/org.eclipse.update.feature/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.feature.examples/org.eclipse.update.feature/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.feature.gui/org.eclipse.update.feature/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.feature.product2ide/org.eclipse.update.feature/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.feature.rt/org.eclipse.update.feature/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.jars/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.jars.db/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.runtime/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.runtime.api/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.transform.runtime.servlet/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.util/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.util.jars/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.util.log/osgi.bundle/2.10.1.20090723-0650
    No repository found containing:
com.oaklandsw.util.log4j/osgi.bundle/2.10.1.20090723-0650


--
Francis Upton IV
Oakland Software Incorporated
www.oaklandsoftware.com
francis@xxxxxxxxxxxxxxxxxxx
Tel   +1 510 835 3123
Fax   +1 510 779 5226
Skype francisupton
(GMT-8, Pacific)

_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev